#include <bits/stdc++.h>
using namespace std;

int main()  {
	
	int n, k, x, c=1, a=0;
	cin >> n >> k >> x;
	vector<int> v(n);
	
	for(int i = 0; i < n; ++i){
		cin >> v[i];
	}
	
	for(int i = 0; i < n-k+1; ++i){
		c=1;
		a=0;
		for(int j = i; j < k; ++j){
			a += c*v[j];
			c++;
		}
		cout << a << " ";
	}
	
return 0;

}